Bug 1238955 - [Evolution][zh_CN] Crash cairo-array.c:182: _cairo_array_index: Assertion `index < array->num_elements' failed
Summary: [Evolution][zh_CN] Crash cairo-array.c:182: _cairo_array_index: Assertion `in...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: cairo
Version: 27
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Benjamin Otte
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 1323124 1382521 1440152 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-07-03 07:07 UTC by Krishna Babu K
Modified: 2019-10-31 18:26 UTC (History)
12 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-08-07 08:42:09 UTC


Attachments (Terms of Use)
Evolution print priview issue's reference screen shot (83.06 KB, image/png)
2015-07-09 06:07 UTC, Krishna Babu K
no flags Details
Evolution print priview issue's reference screen shot 2 (63.64 KB, image/png)
2015-07-09 06:08 UTC, Krishna Babu K
no flags Details

Description Krishna Babu K 2015-07-03 07:07:40 UTC
Description of problem:
When evolution running in zh_CN locale, print preview makes it crash.

Version-Release number of selected component (if applicable):
evolution-3.16.3-2.fc22.x86_64

How reproducible:
Always

Steps to Reproduce:
1.Run evolution in zh_CN. `LANG=zh_CN.UTF-8 evolution`
2.Click on 'New' to compose new mail.
3.Press 'Ctrl+Shift+P' for print preview

Actual results:
Application crashes.

Expected results:
Application shouldn't crash. Preview should be available with actual content.

Additional info:
Terminal Message
 
evolution: cairo-array.c:182: _cairo_array_index: Assertion `index < array->num_elements' failed.
Aborted (core dumped)

Comment 1 Milan Crha 2015-07-03 08:52:39 UTC
Thanks for a bug report. I tried to reproduce the crash, but no luck here. I guess it depends on actual message being previewed. That I tried didn't trigger that crash. Based on the assertion message I suppose it crashed in cairo. Could you install debuginfo package for cairo [1], reproduce the crash under gdb a post the backtrace here, please? The gdb command can be:
   $ LANG=zh_CN.UTF-8 gdb evolution --ex r --ex bt --ex q
which runs evolution under gdb and once you reproduce the crash it prints the backtrace and quits (which will require a confirmation).

I also tried my messages with evolution running under valgrind, to check whether anything wrong wouldn't be spotted by its memory error detector, and it found some issue in the cairo font handling [2]. I do not know how much it is related to your issue, though. In any case, it seems like the actual issue is not in the evolution, but in cairo itself. I'll wait for your backtrace and then eventually move the bug report to cairo.

[1] $ dnf install cairo-debuginfo --enablerepo=fedora-debuginfo

[2] valgrind log:

 Invalid read of size 4
    at 0x335F28C568: find_name (cairo-truetype-subset.c:1464)
    by 0x335F28DDB7: _cairo_truetype_read_font_name (cairo-truetype-subset.c:1545)
    by 0x335F28E1A9: _cairo_truetype_font_create (cairo-truetype-subset.c:231)
    by 0x335F28E1A9: cairo_truetype_subset_init_internal (cairo-truetype-subset.c:1116)
    by 0x335F2DA462: _cairo_pdf_surface_emit_truetype_font_subset (cairo-pdf-surface.c:5431)
    by 0x335F2DA462: _cairo_pdf_surface_emit_unscaled_font_subset (cairo-pdf-surface.c:5904)
    by 0x335F28B0EA: _cairo_sub_font_collect (cairo-scaled-font-subsets.c:746)
    by 0x335F28B0EA: _cairo_scaled_font_subsets_foreach_internal (cairo-scaled-font-subsets.c:1067)
    by 0x335F2D626F: _cairo_pdf_surface_emit_font_subsets (cairo-pdf-surface.c:5950)
    by 0x335F2D626F: _cairo_pdf_surface_finish (cairo-pdf-surface.c:2031)
    by 0x335F26F1A5: _cairo_surface_finish (cairo-surface.c:1030)
    by 0x335F26FD16: cairo_surface_finish (cairo-surface.c:1077)
    by 0x335F244246: _cairo_paginated_surface_finish (cairo-paginated-surface.c:213)
    by 0x335F26F1A5: _cairo_surface_finish (cairo-surface.c:1030)
    by 0x335F26FD16: cairo_surface_finish (cairo-surface.c:1077)
    by 0x3369A55274: preview_print_idle_done (gtkprintoperation.c:549)
  Address 0x10c94e90 is 16 bytes inside a block of size 18 alloc'd
    at 0x4A06C0F: malloc (in /usr/lib64/valgrind/vgpreload_memcheck-amd64-linux.so)
    by 0x335F28C612: find_name (cairo-truetype-subset.c:1441)
    by 0x335F28DDB7: _cairo_truetype_read_font_name (cairo-truetype-subset.c:1545)
    by 0x335F28E1A9: _cairo_truetype_font_create (cairo-truetype-subset.c:231)
    by 0x335F28E1A9: cairo_truetype_subset_init_internal (cairo-truetype-subset.c:1116)
    by 0x335F2DA462: _cairo_pdf_surface_emit_truetype_font_subset (cairo-pdf-surface.c:5431)
    by 0x335F2DA462: _cairo_pdf_surface_emit_unscaled_font_subset (cairo-pdf-surface.c:5904)
    by 0x335F28B0EA: _cairo_sub_font_collect (cairo-scaled-font-subsets.c:746)
    by 0x335F28B0EA: _cairo_scaled_font_subsets_foreach_internal (cairo-scaled-font-subsets.c:1067)
    by 0x335F2D626F: _cairo_pdf_surface_emit_font_subsets (cairo-pdf-surface.c:5950)
    by 0x335F2D626F: _cairo_pdf_surface_finish (cairo-pdf-surface.c:2031)
    by 0x335F26F1A5: _cairo_surface_finish (cairo-surface.c:1030)
    by 0x335F26FD16: cairo_surface_finish (cairo-surface.c:1077)
    by 0x335F244246: _cairo_paginated_surface_finish (cairo-paginated-surface.c:213)
    by 0x335F26F1A5: _cairo_surface_finish (cairo-surface.c:1030)
    by 0x335F26FD16: cairo_surface_finish (cairo-surface.c:1077)
 
 Invalid read of size 4
    at 0x335F28C553: find_name (cairo-truetype-subset.c:1464)
    by 0x335F28DD7E: _cairo_truetype_read_font_name (cairo-truetype-subset.c:1534)
    by 0x335F28E1A9: _cairo_truetype_font_create (cairo-truetype-subset.c:231)
    by 0x335F28E1A9: cairo_truetype_subset_init_internal (cairo-truetype-subset.c:1116)
    by 0x335F2DA462: _cairo_pdf_surface_emit_truetype_font_subset (cairo-pdf-surface.c:5431)
    by 0x335F2DA462: _cairo_pdf_surface_emit_unscaled_font_subset (cairo-pdf-surface.c:5904)
    by 0x335F28B0EA: _cairo_sub_font_collect (cairo-scaled-font-subsets.c:746)
    by 0x335F28B0EA: _cairo_scaled_font_subsets_foreach_internal (cairo-scaled-font-subsets.c:1067)
    by 0x335F2D626F: _cairo_pdf_surface_emit_font_subsets (cairo-pdf-surface.c:5950)
    by 0x335F2D626F: _cairo_pdf_surface_finish (cairo-pdf-surface.c:2031)
    by 0x335F26F1A5: _cairo_surface_finish (cairo-surface.c:1030)
    by 0x335F26FD16: cairo_surface_finish (cairo-surface.c:1077)
    by 0x335F244246: _cairo_paginated_surface_finish (cairo-paginated-surface.c:213)
    by 0x335F26F1A5: _cairo_surface_finish (cairo-surface.c:1030)
    by 0x335F26FD16: cairo_surface_finish (cairo-surface.c:1077)
    by 0x3369A55274: preview_print_idle_done (gtkprintoperation.c:549)
  Address 0x78db694 is 20 bytes inside a block of size 21 alloc'd
    at 0x4A06C0F: malloc (in /usr/lib64/valgrind/vgpreload_memcheck-amd64-linux.so)
    by 0x335F28C612: find_name (cairo-truetype-subset.c:1441)
    by 0x335F28DD7E: _cairo_truetype_read_font_name (cairo-truetype-subset.c:1534)
    by 0x335F28E1A9: _cairo_truetype_font_create (cairo-truetype-subset.c:231)
    by 0x335F28E1A9: cairo_truetype_subset_init_internal (cairo-truetype-subset.c:1116)
    by 0x335F2DA462: _cairo_pdf_surface_emit_truetype_font_subset (cairo-pdf-surface.c:5431)
    by 0x335F2DA462: _cairo_pdf_surface_emit_unscaled_font_subset (cairo-pdf-surface.c:5904)
    by 0x335F28B0EA: _cairo_sub_font_collect (cairo-scaled-font-subsets.c:746)
    by 0x335F28B0EA: _cairo_scaled_font_subsets_foreach_internal (cairo-scaled-font-subsets.c:1067)
    by 0x335F2D626F: _cairo_pdf_surface_emit_font_subsets (cairo-pdf-surface.c:5950)
    by 0x335F2D626F: _cairo_pdf_surface_finish (cairo-pdf-surface.c:2031)
    by 0x335F26F1A5: _cairo_surface_finish (cairo-surface.c:1030)
    by 0x335F26FD16: cairo_surface_finish (cairo-surface.c:1077)
    by 0x335F244246: _cairo_paginated_surface_finish (cairo-paginated-surface.c:213)
    by 0x335F26F1A5: _cairo_surface_finish (cairo-surface.c:1030)
    by 0x335F26FD16: cairo_surface_finish (cairo-surface.c:1077)

Comment 2 Krishna Babu K 2015-07-03 11:05:05 UTC
Hi Milan,
Thank you. The backtrace is as follows

[krishna@server3 ~]$ LANG=zh_CN.UTF-8 gdb evolution --ex r --ex bt --ex q

GNU gdb (GDB) Fedora 7.9.1-16.fc22
Copyright (C) 2015 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.  Type "show copying"
and "show warranty" for details.
This GDB was configured as "x86_64-redhat-linux-gnu".
Type "show configuration" for configuration details.
For bug reporting instructions, please see:
<http://www.gnu.org/software/gdb/bugs/>.
Find the GDB manual and other documentation resources online at:
<http://www.gnu.org/software/gdb/documentation/>.
For help, type "help".
Type "apropos word" to search for commands related to "word"...
Reading symbols from evolution...Reading symbols from /usr/lib/debug/usr/bin/evolution.debug...done.
done.
Starting program: /usr/bin/evolution 
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/lib64/libthread_db.so.1".

(evolution:29176): GLib-GObject-WARNING **: The property GtkSettings:gtk-button-images is deprecated and shouldn't be used anymore. It will be removed in a future version.
[New Thread 0x7fffeb5f1700 (LWP 29182)]
Detaching after fork from child process 29187.
[New Thread 0x7fff8b7fe700 (LWP 29192)]

(evolution:29176): GLib-GObject-WARNING **: The property GtkSettings:gtk-menu-images is deprecated and shouldn't be used anymore. It will be removed in a future version.
Detaching after fork from child process 29198.
openjdk version "1.8.0_45"
OpenJDK Runtime Environment (build 1.8.0_45-b14)
OpenJDK 64-Bit Server VM (build 25.45-b02, mixed mode)

(evolution:29176): GLib-GObject-WARNING **: The property GtkCellRendererPixbuf:stock-id is deprecated and shouldn't be used anymore. It will be removed in a future version.

(evolution:29176): GLib-GObject-WARNING **: The property GtkSettings:gtk-toolbar-style is deprecated and shouldn't be used anymore. It will be removed in a future version.
[Thread 0x7fff8b7fe700 (LWP 29192) exited]
[New Thread 0x7fff646dd700 (LWP 29236)]
[Thread 0x7fff646dd700 (LWP 29236) exited]

(evolution:29176): GLib-GObject-WARNING **: The property GtkWidget:margin-left is deprecated and shouldn't be used anymore. It will be removed in a future version.

(evolution:29176): GLib-GObject-WARNING **: The property GtkWidget:margin-right is deprecated and shouldn't be used anymore. It will be removed in a future version.
evolution: cairo-array.c:182: _cairo_array_index: Assertion `index < array->num_elements' failed.
[New Thread 0x7fff64ede700 (LWP 29238)]
[New Thread 0x7fff893f0700 (LWP 29237)]
[New Thread 0x7fff42ffd700 (LWP 29234)]
[New Thread 0x7fff437fe700 (LWP 29233)]
[New Thread 0x7fff43fff700 (LWP 29232)]
[New Thread 0x7fff60ed6700 (LWP 29231)]
[New Thread 0x7fff616d7700 (LWP 29230)]
[New Thread 0x7fff61ed8700 (LWP 29229)]
[New Thread 0x7fff626d9700 (LWP 29228)]
[New Thread 0x7fff6830c700 (LWP 29202)]
[New Thread 0x7fff68b0d700 (LWP 29201)]
[New Thread 0x7fff6930e700 (LWP 29200)]
[New Thread 0x7fff8a3f2700 (LWP 29194)]
[New Thread 0x7fff98bcc700 (LWP 29186)]
[New Thread 0x7fff99a1d700 (LWP 29185)]
[New Thread 0x7fffe3fff700 (LWP 29184)]
[New Thread 0x7fffe8d04700 (LWP 29183)]
[New Thread 0x7fffebfff700 (LWP 29181)]
[New Thread 0x7ffff0d47700 (LWP 29180)]

Program received signal SIGABRT, Aborted.
0x00000035d4a34a98 in __GI_raise (sig=sig@entry=6) at ../sysdeps/unix/sysv/linux/raise.c:55
55	  return INLINE_SYSCALL (tgkill, 3, pid, selftid, sig);
#0  0x00000035d4a34a98 in __GI_raise (sig=sig@entry=6) at ../sysdeps/unix/sysv/linux/raise.c:55
#1  0x00000035d4a3672a in __GI_abort () at abort.c:89
#2  0x00000035d4a2d247 in __assert_fail_base (fmt=<optimized out>, assertion=assertion@entry=0x32fd8e404e "index < array->num_elements", file=file@entry=0x32fd8e4040 "cairo-array.c", line=line@entry=182, function=function@entry=0x32fd8e40f0 <__PRETTY_FUNCTION__.10460> "_cairo_array_index") at assert.c:92
#3  0x00000035d4a2d2f2 in __GI___assert_fail (assertion=assertion@entry=0x32fd8e404e "index < array->num_elements", file=file@entry=0x32fd8e4040 "cairo-array.c", line=line@entry=182, function=function@entry=0x32fd8e40f0 <__PRETTY_FUNCTION__.10460> "_cairo_array_index") at assert.c:101
#4  0x00000032fd813a10 in _cairo_array_index (array=<optimized out>, index=<optimized out>) at cairo-array.c:182
#5  0x00000032fd816129 in _cairo_array_index (array=array@entry=0x4a7aba0, index=<optimized out>) at cairo-array.c:167
#6  0x00000032fd8891ea in _cairo_cff_subset_init (font=0x4a7ab30) at cairo-cff-subset.c:1791
#7  0x00000032fd8891ea in _cairo_cff_subset_init (font=0x4a7ab30) at cairo-cff-subset.c:1976
#8  0x00000032fd8891ea in _cairo_cff_subset_init (length=<optimized out>, data=<optimized out>, font=<optimized out>) at cairo-cff-subset.c:2589
#9  0x00000032fd8891ea in _cairo_cff_subset_init (cff_subset=cff_subset@entry=0x7fffffffbfa0, subset_name=subset_name@entry=0x7fffffffc010 "CairoFont-0-0", font_subset=font_subset@entry=0x7fffffffc110)
    at cairo-cff-subset.c:2959
#10 0x00000032fd8da3f1 in _cairo_pdf_surface_emit_unscaled_font_subset (font_subset=0x7fffffffc110, surface=0x4a7c610) at cairo-pdf-surface.c:5186
#11 0x00000032fd8da3f1 in _cairo_pdf_surface_emit_unscaled_font_subset (font_subset=0x7fffffffc110, closure=0x4a7c610) at cairo-pdf-surface.c:5900
#12 0x00000032fd88b0eb in _cairo_scaled_font_subsets_foreach_internal (closure=0x7fffffffc0c0, entry=0x4ad9d60) at cairo-scaled-font-subsets.c:746
#13 0x00000032fd88b0eb in _cairo_scaled_font_subsets_foreach_internal (font_subsets=<optimized out>, font_subset_callback=font_subset_callback@entry=0x32fd8da380 <_cairo_pdf_surface_emit_unscaled_font_subset>, closure=closure@entry=0x4a7c610, type=type@entry=CAIRO_SUBSETS_FOREACH_UNSCALED) at cairo-scaled-font-subsets.c:1067
#14 0x00000032fd88be57 in _cairo_scaled_font_subsets_foreach_unscaled (font_subsets=<optimized out>, font_subset_callback=font_subset_callback@entry=0x32fd8da380 <_cairo_pdf_surface_emit_unscaled_font_subset>, closure=closure@entry=0x4a7c610) at cairo-scaled-font-subsets.c:1095
#15 0x00000032fd8d6270 in _cairo_pdf_surface_finish (surface=0x4a7c610) at cairo-pdf-surface.c:5950
#16 0x00000032fd8d6270 in _cairo_pdf_surface_finish (abstract_surface=0x4a7c610) at cairo-pdf-surface.c:2031
#17 0x00000032fd86f1a6 in _cairo_surface_finish (surface=0x4a7c610) at cairo-surface.c:1030
#18 0x00000032fd86fd17 in INT_cairo_surface_finish (surface=0x4a7c610) at cairo-surface.c:1077
#19 0x00000032fd844247 in _cairo_paginated_surface_finish (abstract_surface=0x4a7e6e0) at cairo-paginated-surface.c:213
#20 0x00000032fd86f1a6 in _cairo_surface_finish (surface=0x4a7e6e0) at cairo-surface.c:1030
#21 0x00000032fd86fd17 in INT_cairo_surface_finish (surface=0x4a7e6e0) at cairo-surface.c:1077
#22 0x0000003300255375 in preview_print_idle_done (data=0x4a617a0) at gtkprintoperation.c:549
#23 0x00000032ff423748 in gdk_threads_dispatch_free (data=0x4a5d980) at gdk.c:732
---Type <return> to continue, or q <return> to quit---
#24 0x00000035d6a46588 in g_source_callback_unref (cb_data=0x4a7f8c0) at gmain.c:1532
#25 0x00000035d6a47d46 in g_source_destroy_internal (source=0x4a7eb90, context=0x667010, have_lock=1) at gmain.c:1178
#26 0x00000035d6a49b20 in g_main_context_dispatch (context=0x667010) at gmain.c:3145
#27 0x00000035d6a49b20 in g_main_context_dispatch (context=context@entry=0x667010) at gmain.c:3737
#28 0x00000035d6a49e20 in g_main_context_iterate (context=0x667010, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at gmain.c:3808
#29 0x00000035d6a4a142 in g_main_loop_run (loop=0x4a69ef0) at gmain.c:4002
#30 0x0000003300256a13 in print_pages (op=op@entry=0x6b26e0 [GtkPrintOperation], parent=parent@entry=0x0, do_print=<optimized out>, result=result@entry=GTK_PRINT_OPERATION_RESULT_APPLY)
    at gtkprintoperation.c:3071
#31 0x0000003300257b12 in gtk_print_operation_run (op=0x6b26e0 [GtkPrintOperation], action=<optimized out>, parent=0x0, error=0x7fffffffc560) at gtkprintoperation.c:3248
#32 0x000000330ae6cbcf in webkit_web_frame_print_full(WebKitWebFrame*, GtkPrintOperation*, GtkPrintOperationAction, GError**) (frame=<optimized out>, operation=operation@entry=0x6b26e0 [GtkPrintOperation], action=action@entry=GTK_PRINT_OPERATION_ACTION_PREVIEW, error=error@entry=0x7fffffffc560) at Source/WebKit/gtk/webkit/webkitwebframe.cpp:963
#33 0x00007fffe9ea6f7b in mail_printer_print_timeout_cb (user_data=<error reading variable: value has been optimized out>) at e-mail-printer.c:246
#34 0x00000035d6a4a4e3 in g_timeout_dispatch (source=0x49daa40, callback=<optimized out>, user_data=<optimized out>) at gmain.c:4545
#35 0x00000035d6a49a8a in g_main_context_dispatch (context=0x667010) at gmain.c:3122
#36 0x00000035d6a49a8a in g_main_context_dispatch (context=context@entry=0x667010) at gmain.c:3737
#37 0x00000035d6a49e20 in g_main_context_iterate (context=0x667010, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at gmain.c:3808
#38 0x00000035d6a4a142 in g_main_loop_run (loop=0x49ad100) at gmain.c:4002
#39 0x00007fffe9ebbb75 in em_utils_composer_print_cb (composer=<optimized out>, action=GTK_PRINT_OPERATION_ACTION_PREVIEW, message=<optimized out>, activity=0x489e6e0 [EActivity], session=<optimized out>)
    at em-composer-utils.c:1121
#43 0x00000035d7a2a29f in <emit signal ??? on instance 0x3c6a380 [EMsgComposer]> (instance=instance@entry=0x3c6a380, signal_id=<optimized out>, detail=detail@entry=0) at gsignal.c:3361
    #40 0x00000035d7a0fcd5 in g_closure_invoke (closure=0x44b90e0, return_value=return_value@entry=0x0, n_param_values=4, param_values=param_values@entry=0x7fffffffc920, invocation_hint=invocation_hint@entry=0x7fffffffc8a0) at gclosure.c:768
    #41 0x00000035d7a21539 in signal_emit_unlocked_R (node=node@entry=0x3c55f40, detail=detail@entry=0, instance=instance@entry=0x3c6a380, emission_return=emission_return@entry=0x0, instance_and_params=instance_and_params@entry=0x7fffffffc920) at gsignal.c:3549
    #42 0x00000035d7a29ef0 in g_signal_emit_valist (instance=<optimized out>, signal_id=<optimized out>, detail=<optimized out>, var_args=var_args@entry=0x7fffffffcb20) at gsignal.c:3305
#44 0x0000003306c2080b in msg_composer_print_cb (r=0x3c6a380 [EMsgComposer], result=<optimized out>, context=0x48290a0) at e-msg-composer.c:4266
#45 0x00000032a6074ba7 in g_simple_async_result_complete (simple=0x4950960 [GSimpleAsyncResult]) at gsimpleasyncresult.c:763

#46 0x0000003306c1eb28 in composer_get_message_ready (r=<optimized out>, result=<optimized out>, simple=0x4950960 [GSimpleAsyncResult]) at e-msg-composer.c:4931
#47 0x00000032a6074ba7 in g_simple_async_result_complete (simple=0x49505c0 [GSimpleAsyncResult]) at gsimpleasyncresult.c:763
#48 0x0000003306c262d0 in composer_build_message (r=<optimized out>, flags=<optimized out>, io_priority=0, cancellable=0x49a0670 [CamelOperation], callback=<optimized out>, user_data=<optimized out>)
    at e-msg-composer.c:1503
#52 0x00000035d7a2a29f in <emit signal ??? on instance 0x4568230 [GtkAction]> (instance=instance@entry=0x4568230, signal_id=<optimized out>, detail=detail@entry=0) at gsignal.c:3361
    #49 0x00000035d7a0fcd5 in g_closure_invoke (closure=0x456ed80, return_value=return_value@entry=0x0, n_param_values=1, param_values=param_values@entry=0x7fffffffcf10, invocation_hint=invocation_hint@entry=0x7fffffffce90) at gclosure.c:768
    #50 0x00000035d7a21539 in signal_emit_unlocked_R (node=node@entry=0x349ae20, detail=detail@entry=0, instance=instance@entry=0x4568230, emission_return=emission_return@entry=0x0, instance_and_params=instance_and_params@entry=0x7fffffffcf10) at gsignal.c:3549
    #51 0x00000035d7a29ef0 in g_signal_emit_valist (instance=<optimized out>, signal_id=<optimized out>, detail=<optimized out>, var_args=var_args@entry=0x7fffffffd0d0) at gsignal.c:3305
#53 0x00000033000a1c90 in _gtk_action_emit_activate (action=0x4568230 [GtkAction]) at deprecated/gtkaction.c:909
#54 0x00000033000a2219 in closure_accel_activate (closure=0x456e340, return_value=0x7fffffffd350, n_param_values=<optimized out>, param_values=<optimized out>, invocation_hint=<optimized out>, marshal_data=<optimized out>) at deprecated/gtkaction.c:1864
#58 0x00000035d7a2a29f in <emit signal accel-activate:<Primary><Shift>p on instance 0x3a0b020 [GtkAccelGroup]> (instance=instance@entry=0x3a0b020, signal_id=<optimized out>, detail=detail@entry=5206)
    at gsignal.c:3361
    #55 0x00000035d7a0fcd5 in g_closure_invoke (closure=0x456e340, return_value=return_value@entry=0x7fffffffd350, n_param_values=4, param_values=param_values@entry=0x7fffffffd3b0, invocation_hint=invocation_hint@entry=0x7fffffffd330) at gclosure.c:768
    #56 0x00000035d7a21539 in signal_emit_unlocked_R (node=node@entry=0x7d9450, detail=detail@entry=5206, instance=instance@entry=0x3a0b020, emission_return=emission_return@entry=0x7fffffffd500, instance_and_params=instance_and_params@entry=0x7fffffffd3b0) at gsignal.c:3549
    #57 0x00000035d7a29ae2 in g_signal_emit_valist (instance=<optimized out>, signal_id=<optimized out>, detail=<optimized out>, var_args=var_args@entry=0x7fffffffd5b0) at gsignal.c:3315
#59 0x00000033000f3a1f in gtk_accel_group_activate (accel_group=0x3a0b020 [GtkAccelGroup], accel_quark=accel_quark@entry=5206, acceleratable=acceleratable@entry=0x3c6a380 [EMsgComposer], accel_key=accel_key@entr---Type <return> to continue, or q <return> to quit---
y=112, accel_mods=accel_mods@entry=5) at gtkaccelgroup.c:915
#60 0x00000033000f530d in gtk_accel_groups_activate (object=object@entry=0x3c6a380 [EMsgComposer], accel_key=112, accel_mods=5) at gtkaccelgroup.c:953
#61 0x0000003300364a21 in gtk_window_activate_key (window=window@entry=0x3c6a380 [EMsgComposer], event=event@entry=0x499c800) at gtkwindow.c:11320
#62 0x0000003300364b31 in gtk_window_key_press_event (widget=0x3c6a380 [EMsgComposer], event=0x499c800) at gtkwindow.c:7771
#63 0x0000003306c27160 in msg_composer_key_press_event (widget=0x3c6a380 [EMsgComposer], event=0x499c800) at e-msg-composer.c:2674
#64 0x0000003300208e0a in _gtk_marshal_BOOLEAN__BOXEDv (closure=0x643530, return_value=0x7fffffffd990, instance=<optimized out>, args=<optimized out>, marshal_data=<optimized out>, n_params=<optimized out>, param_types=0x643560) at gtkmarshalers.c:130
#65 0x00000035d7a0ff04 in _g_closure_invoke_va (closure=closure@entry=0x643530, return_value=return_value@entry=0x7fffffffd990, instance=instance@entry=0x3c6a380, args=args@entry=0x7fffffffda60, n_params=<optimized out>, param_types=0x643560) at gclosure.c:831
#66 0x00000035d7a29793 in g_signal_emit_valist (instance=0x3c6a380, signal_id=<optimized out>, detail=0, var_args=var_args@entry=0x7fffffffda60) at gsignal.c:3214
#67 0x00000035d7a2a29f in g_signal_emit (instance=instance@entry=0x3c6a380, signal_id=<optimized out>, detail=detail@entry=0) at gsignal.c:3361
#68 0x00000033003421d4 in gtk_widget_event_internal (widget=0x3c6a380 [EMsgComposer], event=0x499c800) at gtkwidget.c:7787
#69 0x0000003300206409 in propagate_event (widget=0x3c6a380 [EMsgComposer], event=0x499c800, captured=<optimized out>, topmost=0x0) at gtkmain.c:2511
#70 0x0000003300207f5e in gtk_main_do_event (event=0x499c800) at gtkmain.c:1751
#71 0x00000032ff456562 in gdk_event_source_dispatch (source=<optimized out>, callback=<optimized out>, user_data=<optimized out>) at gdkeventsource.c:364
#72 0x00000035d6a49a8a in g_main_context_dispatch (context=0x667010) at gmain.c:3122
#73 0x00000035d6a49a8a in g_main_context_dispatch (context=context@entry=0x667010) at gmain.c:3737
#74 0x00000035d6a49e20 in g_main_context_iterate (context=0x667010, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at gmain.c:3808
#75 0x00000035d6a4a142 in g_main_loop_run (loop=0x32549f0) at gmain.c:4002
#76 0x0000003300207255 in gtk_main () at gtkmain.c:1219
#77 0x0000000000403984 in main (argc=1, argv=0x7fffffffdeb8) at main.c:638
A debugging session is active.

	Inferior 1 [process 29176] will be killed.

Quit anyway? (y or n) n
Not confirmed.
(gdb) quit
A debugging session is active.

	Inferior 1 [process 29176] will be killed.

Quit anyway? (y or n) y
[krishna@server3 ~]$

Comment 3 Milan Crha 2015-07-07 05:26:46 UTC
Thanks for the update. The backtrace is similar as those valgrind reports, it only seems to me that the crash you face happened slightly earlier than the valgrind reports. I'm moving this to cairo.

As you can reproduce this on will, would it be possible to share the email for testing purposes, please?

Comment 4 Krishna Babu K 2015-07-08 06:47:18 UTC
Hi Milan,

Which email address you are asking, sorry i didn't understand your point!

Comment 5 Milan Crha 2015-07-08 15:58:16 UTC
Ouch, I'm sorry, with "email" I meant the "mail message" with which you can reproduce the crash. You can disable the preview panel (Ctrl+M), then select the offending message, right-click it, Save as mbox, and then either attach it here, or, if it contains any private data, send it only to my bugzilla mail address, as an attachment, ideally zipped, thus it's not modified on the wire, with a reference to this bug report in the subject, thus I'd not overlook it in my spam folder.

Comment 6 Krishna Babu K 2015-07-09 06:05:19 UTC
I can reproduce this with some content in the mail composing window or else with all empty fields as well. Attaching both the screenshots for reference.

Comment 7 Krishna Babu K 2015-07-09 06:07:27 UTC
Created attachment 1050100 [details]
Evolution print priview issue's reference screen shot

Comment 8 Krishna Babu K 2015-07-09 06:08:19 UTC
Created attachment 1050101 [details]
Evolution print priview issue's reference screen shot 2

Comment 9 Milan Crha 2015-07-13 18:37:41 UTC
(In reply to Krishna Babu K from comment #8)
> Created attachment 1050101 [details]
> Evolution print priview issue's reference screen shot 2

Weird. I just tried it, and no crash here. but I also have a virtual machine installation of Fedora 22, and it crashes there. Let's see what the cairo developers will find out.

Comment 11 Fedora End Of Life 2016-07-19 19:52:27 UTC
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 12 Tomas Popela 2016-10-10 08:45:41 UTC
Reopening as it is still valid. To reproduce please install and open Epiphany, load "https://zh.wikipedia.org" there and try to print the page.

Comment 13 Tomas Popela 2016-10-10 08:46:16 UTC
*** Bug 1382521 has been marked as a duplicate of this bug. ***

Comment 14 Tomas Popela 2016-10-10 08:51:29 UTC
Benjamin, can you please look at this issue?

Comment 15 Tomas Popela 2017-04-10 09:34:16 UTC
*** Bug 1323124 has been marked as a duplicate of this bug. ***

Comment 16 Tomas Popela 2017-04-10 09:35:57 UTC
*** Bug 1440152 has been marked as a duplicate of this bug. ***

Comment 17 Bhushan Barve 2018-02-22 08:54:14 UTC
Checked with F27.
Currently, when tried to preview a message in Evolution using ctrl + shift + p, or through menu, the message preview does not show up. Printer window is displayed instead.

Comment 18 Milan Crha 2018-02-22 09:08:01 UTC
(In reply to Bhushan Barve from comment #17)
> Currently, when tried to preview a message in Evolution using ctrl + shift +
> p, or through menu, the message preview does not show up. Printer window is
> displayed instead.

Thanks for the update. That's expected behaviour, WebKit2 doesn't support print preview, only direct print. See bug #1415401, and also
https://bugzilla.gnome.org/show_bug.cgi?id=779254

Comment 19 Bhushan Barve 2018-08-07 08:42:09 UTC
There's no crash observed now which was mentioned in the original bug report. The print window opening instead of preview is expected as per comment #18 and bugs for the same are already in place. So marking it as closed. Please feel free to re-open if you are able to reproduce it.


Note You need to log in before you can comment on or make changes to this bug.